/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package cheminzlib;

/**
 * Třída definuje fiktivní aparát okolí pro proudy z okolí schematu do aparátů
 * @author V. Hlubuček
 */
public class Okoli  extends Aparat {
    protected int[] navaznost;   // zvětšená dimenze návaznosti pro okolí oproti Aparat   
/**
 * Bezparametrový konstruktor třídy
 */
    public Okoli() {
        super();
        navaznost = new int[50];  // zvětšená dimenze návaznosti pro okolí oproti Aparat
        nazevAparatu = "Okoli";
        pocetOutProudu = 0;
        myInit();        
    }
    
    
/**
 * Inicializace aparátu
 * popis labelů a default hodnot pro interaktivní zadávání
 */
    public void myInit() {
        lTexty = new String[6];
        tValue = new String[6];
        lTexty[0] = "Okolí";
        lTexty[1] = "Č.aparátu";
        lTexty[2] = "Název aparátu";
        lTexty[3] = "Počet In proudů";
        lTexty[4] = "Počet Out proudů";
        lTexty[5] = ""; // musí být jako ukončovač
        tValue[1] = "0";
        tValue[2] = "Okolí";
        tValue[3] = "1";
        tValue[4] = "1";              
    }
/**
 * Dosadí do proměnných hodnoty z interaktivního zadání
 */    
    public void dosadInteraktivniHodnoty() {
        cApar = (int)doubleFromString(tValue[1]);
        nazevAparatu = tValue[2];
        pocetInProudu = (int)doubleFromString(tValue[3]);
        pocetOutProudu = (int)doubleFromString(tValue[4]);
    }    
    
/**
 * Spočte aparát a zobrazí jeho výsledky
 */    
    @Override
    public void spoctiAparat() {
//        throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
//      jen prázdná funkce, výpočet postrádá smysl 
        spocten = true;
    }
/**
 * Spočítá aparát
 * @param tisk false bez zobrazení výsledků
 */
    @Override
    public void spoctiAparat(boolean tisk) {
        //      jen prázdná funkce, výpočet postrádá smysl
        spocten = true;
    }
/**
 * Kontroluje zadání hlavních parametrů aparátu
 * @return 
 */
    @Override
    public boolean jeAparatZadan() {
        int n = 0;
        boolean neni = false;
        if(proudyOut == null) return false;
        n = proudyOut.size();
        for(int i = 0; i < n; i++) if(proudyOut.get(i) == null) neni = true;
        return (!neni);
    }
 @Override
    public void pridejProudOut(Proud pr) {
//        super.pridejProudOut(pr);
        proudyOut.add(pr); // jako výstupní směřující do schematu
        pocetOutProudu++;
    }
    
 @Override
    public void odeberProudOut(Proud pr) {
//        super.odeberProudOut(pr);
        odeberProudOut(pr);     // odebere proud
        pocetOutProudu--;
    }
//  Gettery a settery  -----------------------------------------
/**
 * Vrací pole návazností na aparáty
 * @return 
 */
    public int[] getNavaznost() {
        return this.navaznost;  
    }
/**
 * Nastavuje pole návazností na aparáty
 * @param navaznost 
 */
    public void setNavaznost(int[] navaznost) {
        this.navaznost = navaznost; // zvětšená dimenze návaznosti pro okolí oproti Aparat
    }
    
/**
 * Vrací i-tý prvek návaznosti aparátu
 * @param i
 * @return 
 */    
    @Override
    public int getNavaznost(int i) {
        return this.navaznost[i];
    }
/**
 * Nastavuje i-tý prvek návazznosti
 * @param i index prvku návaznosti
 * @param n číslo navazujícího aparátu
 */    
    @Override
    public void setNavaznost(int i, int n) {
        this.navaznost[i] = n;
    }    
}
