/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package fydat;

import cheminzlib.FlashIdeal;
import cheminzlib.JDialogProud;
import cheminzlib.Proud;
import fydatlib.Smes;
import java.io.IOException;
import javax.swing.JOptionPane;
import org.jdom2.JDOMException;

/**
 * Zkušební program pro ladění modulu Flash
 * @author V. Hlubuček
 */
public class ZkFlash {

    
        public static void main(String[] args) throws IOException, NumerException, JDOMException {
        int n = 4;                     // počet složek směsi
        double t, tC, p, pFlash, tFlash, pom;       // teplota (K, °C), tlak (Pa)
        double[] x ={1,1,1,1}, c = new double[n];     // počáteční složení směsi, , koncentrace poč
        FlashIdeal fl = null;
        Smes mySmes = new Smes("Moje",140,141,142,143);
        Proud myProud = new Proud(33,null,fl,"Proud do flashe"); 
        tC = 114;           // teplota před flashem (pro izotermní 82 °C, adiabatický 86 - 115 (114) °C)
        t = tC + 273.15;    // absolutní teplota před flashem
        p = 300000;         // tlak před flashem
        mySmes.zadatSloz(false, x);    // složení hmotově  (true), molárně (false)
        myProud.setHmotPrutok(1.0);    // kapalina
        myProud.setSmes(mySmes);
        myProud.setpVstup(p);   // vstupní tlak (Pa)
        myProud.setpVystup(0.9*p);        
        myProud.settVstup(tC);  // vstupní teplota (°C)
        pom = mySmes.sHust(t, p)/mySmes.sMolHmot();
        tFlash = tC - 30;    // teplota po flashi (u adiab jako odhad)
        pFlash = 101250;    // tlak po flashi
        fl = new FlashIdeal(myProud,true,tFlash, pFlash);    // adiabatický true; izotermní false
//        fl.zadejParametryInteraktivne();      // možnost zadat parametry interaktivně    
        fl.setZobrazujVysledky(true);
//        fl.spoctiKompresi(true);    // true komprese/expanze    false škrcení
//        fl.spoctiFlash();   // volání s výpočtem rovnovážného složení do vstupního proudu
        fl.spoctiAparat();   // volání s výpočtem do 3 proudů (nástřik, destilát, zbytek)
        
//// Tak by vypadalo zobrazování výsledků uživatelským programem; nutno setZobrazujVysledky(false);        
//        myProud.setVysledek(fl.getReport());
//        JDialogProud frmProud;
//        frmProud = new JDialogProud(null, "FlashIdeal vstup (Verze " 
//                    + fl.getVERZE() + ")\n", fl.getPr()); // modálně vyskakovací 
//        // následující 4 řádky pro odzkoušení flashe do proudů (proudyFlash()) 
//        frmProud = new JDialogProud(null, "FlashIdeal - kapalina  (Verze " 
//                    + fl.getVERZE() + ")\n", fl.proudyFlash()[2]); // modálně vyskakovací
//        frmProud = new JDialogProud(null, "FlashIdeal - pára (Verze " 
//                    + fl.getVERZE() + ")\n", fl.proudyFlash()[1]); // modálně vyskakovací 
//        fl.zobrazVystupniProud();       // opakované zobrazení výsledků
        }
}
