/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package fydat;

import cheminzlib.JDialogProud;
import cheminzlib.Proud;
import cheminzlib.TepelnyVymenik;
import fydatlib.Smes;
import java.io.IOException;
import org.jdom2.JDOMException;

/**
 * Zkušební program pro ladění výměníku
 * @author Hlubuček
 */
public class ZkVymenik {

    
    public static void main(String[] args) throws IOException, JDOMException {
        int n = 3, n2 = 4;      // počet složek směsi
        double t, tC, p;        // teplota (K, °C), tlak (Pa)
        double[] x ={1,3,3}, x2 ={2,1,1,2};    // složení, zadáno poměrově (bude se normalizovat)
        TepelnyVymenik myHEX = null;
        Smes mySmes = new Smes("Moje",1,140,141);
        Smes mySmes2 = new Smes("Druhá",141,140,143,145);
        Proud myProud = new Proud(33,null,myHEX,"První proud");
        Proud myProud2 = new Proud(46,null,myHEX,"Druhý proud");        
        tC = 70;            // teplota (°C)
        t = tC + 273.15;
        p = 200000;         // tlak (Pa)
        mySmes.zadatSloz(true, x);      // složení 1. směsi hmotově    
        mySmes2.zadatSloz(false, x2);    // složení 2. směsi molárně      
        myProud.setHmotPrutok(1.5);     // kapalina
        myProud.setSmes(mySmes);        // přiřadí směs proudu
        myProud.setpVstup(p);           // nastavení vstupního tlaku proudu
        myProud.setpVystup(0.9*p);      // nastavení výstupního tlaku proudu
        myProud.settVstup(30);          // nastavení vstupní teploty proudu (°C)
        // parametry proudu: č.,název, z aparátu, do aparátu, hmot. průtok (kg/s),
        //  teplota (°C), tlak (Pa)
        myProud2.zadejParametryProudu(46, "Druhý proud", null, myHEX, 0.85, tC, p);
        myProud2.setSmes(mySmes2);      // přiřadí směs druhému proudu
        myProud2.setpVystup(0.85*p);
        myProud.setTisk(true);          // zobrazovat výsledky
        myProud2.setTisk(true);
        // A=0 úloha na plochu, jiank na koncové teploty
        myHEX = new TepelnyVymenik("Výměník C52",0, 150,1);  // název, A,k, indPP
//        myHEX.zadejParametryInteraktivne(); // možnost zadat parametry interaktivně
        myProud.settVystup(46); // pro úlohu na teplosměnnou plochu, plocha se zadá = 0
        myHEX.pridejProud(myProud);     // přiřazení proudu výměníku
        myHEX.pridejProud(myProud2);    // přiřazení druhého proudu výměníku
        // nebo za použití jiného konstruktoru výměníku:
//        myHEX = new TepelnyVymenik("Výměník C52",myProud, myProud2, 0, 150,1);  // název, A,k, indPP
        myHEX.setZobrazujVysledky(true);    // chci zobrazovat výsledky
        myHEX.spoctiAparat();           // spustí výpočet výměníku
//        myHEX.vymenTeplo();             // alternativní způsob spuštění výpočtu
//        myHEX.zobrazVystupniProud();  // způsob znovuzobrazení výsledků
    }        
    
}
