/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package fydat;

import cheminzlib.JDialogProud;
import cheminzlib.Proud;
import cheminzlib.SmithBrinkley;
import fydatlib.Smes;
import java.io.IOException;
import org.jdom2.JDOMException;

/**
 * Zkušební program pro ladění modulu Smith-Brinkley
 * @author V. Hlubuček
 */
public class ZkSmithB  {
        
    public static void main(String[] args) throws IOException, NumerException, JDOMException {    
        int n = 5;                     // počet složek směsi
        double t, p;
        double[] x ={1,1,1,1,1}, c = new double[n];     // počáteční složení směsi, , koncentrace poč
        SmithBrinkley sb;
        Smes mySmes = new Smes("Moje",140,141,142,143,144);
        mySmes.zadatSloz(true, x);    // složení hmotově  (true), molárně (false)
        mySmes.seradDleTekavosti();
        Proud pr = new Proud(1,"Nástřik kolony",1.0);
        p = 101250;
        t = 50; // °C
        pr.setSmes(mySmes);
        pr.setpVstup(p);
        pr.settVstup(t);
        sb = new SmithBrinkley(pr,15, 6, 4.5, 0, 15);      // proud, pater, pod nástřikem, reflux, v/Fnástř, destilát %z nástřiku
//        sb.zadejParametryInteraktivne();    // možnost zadat parametry kolony interaktivně
        sb.setZobrazujVysledky(true);   // zobrazí výsledky po výpočtu
        sb.proudySmithBrinkley();   // spuštění výpočtu s návratem proudů nástřiku, destilátu a zbytku
//        sb.vypocetSB();     // alternativní suštění výpočtu jen se zobrazením výsledků
//// Tak by vypadalo zobrazení výsledků uživatelem        
//        JDialogProud frmProud = new JDialogProud(null, "Kolona - Smith-Brinkley  (Verze " 
//                + sb.getVERZE() + ")\n", sb.getPr());    // modálně vyskakovací   
//        sb.zobrazVystupniProud();     // znovuzobrazení výsledků
    }
}