/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package fydatlib;

/**
 * Událost pro zadání složení. Používá ji JPanelSlozeni a JDialogSlozeni.
 * @author V.Hlubuček
 */
public class SlozeniEvent {
    boolean vybráno = false;
    boolean isHmot;             // je složení hmotové?
    int nSloz;                  // počet složek vybrané směsi
    double[] x = new double[20];    // pole se složením směsi
    Smes sm;  
/**
 * Metoda vrací stav vybrání
 * @return 
 */
    public boolean isVybráno() {
        return vybráno;
    }
/**
 * Nastavení stavu vybrání
 * @param vybráno (true)
 */
    public void setVybráno(boolean vybráno) {
        this.vybráno = vybráno;
    }
/**
 * Metoda vrací true pokud je složení zadáno hmotnostně
 * @return boolean
 */
    public boolean isIsHmot() {
        return isHmot;
    }
/**
 * Nastavení, že jde o hmotové složení
 * @param isHmot true, když hmotové; false když molární
 */
    public void setIsHmot(boolean isHmot) {
        this.isHmot = isHmot;
    }
/**
 * Metoda vrací počet složek vybrané směsi
 * @return integer počet složek
 */
    public int getnSloz() {
        return nSloz;
    }
/**
 * Nastavuje počet složek vybrané směsi
 * @param nSloz počet složek (int)
 */
    public void setnSloz(int nSloz) {
        this.nSloz = nSloz;
    }
/**
 * Metoda vrací vektor složení
 * @return double[] složení
 */
    public double[] getX() {
        return x;
    }
/**
 * Nastavuje vektor složení
 * @param x vektor složení double[]
 */
    public void setX(double[] x) {
        this.x = x;
    }
/**
 * Metoda vrací směs
 * @return 
 */
    public Smes getSmes() {
        return sm;
    }
/**
 * Metoda nastavuje směs
 * @param Smes instance směsi 
 */
    public void setSmes(Smes sm) {
        this.sm = sm;
    }
        
}
